/* HTTP Proxy Server, by Mark Kamichoff [kamicm@rpi.edu] *
 * File for signal handling functions                    */

#include "includes.h"

void signalpipe(void)
{
        fprintf(stderr, "Debug: Caught a SIGPIPE, transfer interrupted\n");
}

void signalinterrupt(void)
{
        printf("Cleaning up and exiting gracefully...\n");
        close(listeningfd);
        close(clientfd);
        sleep(1);
        exit(0);
}

void setupsignals(void)
{
        signal(SIGCHLD,SIG_IGN);

        signal(SIGPIPE,(void *) signalpipe);
        signal(SIGINT,(void *) signalinterrupt);
        signal(SIGTERM,(void *) signalinterrupt);
}

